Bug 1815055

Summary: python-bleach: Bleach: behavior parsing did not match browser behavior which could result in mutation XSS [fedora-all]
Product: [Fedora] Fedora Reporter: Michael Kaplan <mkaplan>
Component: python-bleachAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 31CC: igor.raits, mrunge
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-bleach-3.1.4-2.fc30 python-bleach-3.1.4-2.fc31 python-bleach-3.1.4-2.fc32 python-bleach-3.1.4-2.el8 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-30 02:50:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1815054    

Description Michael Kaplan 2020-03-19 11:43:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2020-03-19 11:43:59 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1815054,1815055

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-04-22 14:08:24 UTC
FEDORA-2020-e1fa96c506 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1fa96c506

Comment 3 Fedora Update System 2020-04-22 14:08:25 UTC
FEDORA-EPEL-2020-7f0ce51dbd has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f0ce51dbd

Comment 4 Fedora Update System 2020-04-22 14:08:25 UTC
FEDORA-2020-827b677e15 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-827b677e15

Comment 5 Fedora Update System 2020-04-22 14:08:26 UTC
FEDORA-2020-e9c8bdd1e3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9c8bdd1e3

Comment 6 Fedora Update System 2020-04-22 19:27:09 UTC
FEDORA-EPEL-2020-7f0ce51dbd has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f0ce51dbd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-22 20:14:15 UTC
FEDORA-2020-827b677e15 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-827b677e15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-827b677e15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-22 20:29:12 UTC
FEDORA-2020-e1fa96c506 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e1fa96c506`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1fa96c506

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-23 20:45:20 UTC
FEDORA-2020-e9c8bdd1e3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e9c8bdd1e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9c8bdd1e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-30 02:50:57 UTC
FEDORA-2020-827b677e15 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-30 03:43:03 UTC
FEDORA-2020-e1fa96c506 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-01 04:05:24 UTC
FEDORA-2020-e9c8bdd1e3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-07 00:40:50 UTC
FEDORA-EPEL-2020-7f0ce51dbd has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.